Subject: Re: linux-next: wireless-current tree build failure

From: "John W. Linville" <[email-masked]>
Date: Wed, 22 Apr 2009 09:03:56 -0400

On Wed, Apr 22, 2009 at 03:19:28PM +1000, Stephen Rothwell wrote:
> Hi John,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/net/wireless/iwlwifi/iwl3945-base.c:1415: error: __ksymtab_iwl3945_rx_queue_reset causes a section type conflict
> 
> I am pretty sure that this is a compiler bug, so not to worry.  However,
> as far as I can see, iwl-3945.o (the only user) and iwl3945-base.o are
> always linked into the same module, so the EXPORT_SYMBOL (which causes
> the problem) should not be needed.  Correct?
> 
> I applied the following patch for today.  This makes the above error go
> away and my x86_64 allmodconfig still builds.

Seems reasonable.  Reinette, should I just take Stephen's patch?
Or would you prefer some other solution?

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.